Bug 525754 - setroubleshoot: SELinux is preventing /usr/sbin/wpa_supplicant "module_request" access.
Summary: setroubleshoot: SELinux is preventing /usr/sbin/wpa_supplicant "module_reques...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: rawhide
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:abe7b07b827...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-25 15:13 UTC by Daniel Walsh
Modified: 2009-09-25 15:21 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-25 15:21:20 UTC


Attachments (Terms of Use)

Description Daniel Walsh 2009-09-25 15:13:08 UTC
The following was filed automatically by setroubleshoot:

Summary:

SELinux is preventing /usr/sbin/wpa_supplicant "module_request" access.

Detailed Description:

SELinux denied access requested by wpa_supplicant. It is not expected that this
access is required by wpa_supplicant and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:NetworkManager_t:s0-s0:c0.c1023
Target Context                system_u:system_r:kernel_t:s0
Target Objects                None [ system ]
Source                        wpa_supplicant
Source Path                   /usr/sbin/wpa_supplicant
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           wpa_supplicant-0.6.8-6.fc12
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.32-10.fc12
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.31-33.fc12.x86_64
                              #1 SMP Thu Sep 17 15:40:43 EDT 2009 x86_64 x86_64
Alert Count                   7
First Seen                    Thu 24 Sep 2009 09:59:33 AM PDT
Last Seen                     Fri 25 Sep 2009 06:34:15 AM PDT
Local ID                      9104eb7e-05ff-487c-9152-6aae641e5ca1
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1253885655.51:493): avc:  denied  { module_request } for  pid=12891 comm="wpa_supplicant" scontext=system_u:system_r:NetworkManager_t:s0-s0:c0.c1023 tcontext=system_u:system_r:kernel_t:s0 tclass=system

node=(removed) type=SYSCALL msg=audit(1253885655.51:493): arch=c000003e syscall=16 success=no exit=-19 a0=8 a1=8933 a2=7fff087665f0 a3=7fff087663f0 items=0 ppid=1 pid=12891 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="wpa_supplicant" exe="/usr/sbin/wpa_supplicant" subj=system_u:system_r:NetworkManager_t:s0-s0:c0.c1023 key=(null)


audit2allow suggests:

#============= NetworkManager_t ==============
allow NetworkManager_t kernel_t:system module_request;


Note You need to log in before you can comment on or make changes to this bug.